
Foreman - Bug #6697

UI doesn't raise any error when we add OS parameter without any value

07/21/2014 02:19 AM - Ori Rabin

Status: Duplicate   

Priority: Normal   

Assignee: Ori Rabin   

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1120685 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1610

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120685

Description of problem:

Add a OS parameters without passing name. The form was submitted successfully and UI doesn't raise any error.

when you navigates to parameters tab, you won't see any parameter there

Version-Release number of selected component (if applicable):

sat6 GA snap0

How reproducible:

always

Steps to Reproduce:

1. create os with parameter name only, don't pass value to parameter

2.

3.

Actual results:

Neither error message raised nor parameter was created

Expected results:

UI should raise error message

Additional info:

Related issues:

Is duplicate of Foreman - Feature #215: Allow blank values for parameters Closed 04/16/2010

History

#1 - 07/21/2014 04:40 AM - Dominic Cleal

- Category set to Database

#2 - 07/23/2014 02:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1610 added

- Pull request deleted ()

#3 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#4 - 07/31/2014 03:42 AM - Ori Rabin
https://bugzilla.redhat.com/show_bug.cgi?id=1120685


- Related to Feature #215: Allow blank values for parameters added

#5 - 07/31/2014 04:01 AM - Ohad Levy

- Related to deleted (Feature #215: Allow blank values for parameters)

#6 - 07/31/2014 04:01 AM - Ohad Levy

- Is duplicate of Feature #215: Allow blank values for parameters added

#7 - 07/31/2014 04:02 AM - Ohad Levy

- Status changed from Ready For Testing to Duplicate

#8 - 07/31/2014 04:03 AM - Dominic Cleal

- Target version deleted (1.7.5)
